QGIS Application - Bug report #18197
MetadataURL isn't required but his type is required
2018-02-23 04:19 PM - Stéphane Brunner

Status: Closed

Priority: Normal

Assignee: Paul Blottiere

Category: QGIS Server

Affected QGIS version:3.0.0 Regression?: Yes
Operating System: Linux Easy fix?: Yes
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26088
Description

In the code it's written:

empty but needed for OGC tests RECOMMENDATIONS)
https://github.com/qgis/QGIS/blob/068d51c3bef6e4f8e219a7fcb6b3d8f607d02e09/src/server/services/wms/qgswmsgetcapabilities.cpp
L789

But in the WMS 1.3.0 Specification
In the Table 7 and in the start of the page 66 (schema) it's marked ad optional
Start of page 68 (schema) the type is market as as required

Then | can't parse it with OWSL.ib neither in version 1.1.1 neither in version 1.3.0...

Associated revisions

Revision 0edb0d98 - 2018-04-13 03:36 PM - Paul Blottiere

Cleaning GetCapabilities response

Fixes #18197

History

#1 - 2018-03-20 03:04 PM - René-Luc ReLuc

- Assignee set to Paul Blottiere

Is it a fix for OGC WMS 1.3.0 tests ?
https://github.com/qgis/QGIS/blob/068d51c3bef6e4f8e219a7icb6b3d8f607d02e09/src/server/services/wms/ggswmsgetcapabilities.cpp#L789

#2 - 2018-04-20 02:11 PM - Paul Blottiere
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|0edb0d9858fd05491b5dd6ece9a9859e8d4730d5.
